package com.sz.admin.monitor.service;

import com.mybatisflex.core.service.IService;
import com.sz.admin.monitor.pojo.dto.faceinfo.FaceInfoCreateDTO;
import com.sz.admin.monitor.pojo.dto.faceinfo.FaceInfoListDTO;
import com.sz.admin.monitor.pojo.dto.facelibrary.FaceLibraryCreateDTO;
import com.sz.admin.monitor.pojo.dto.facelibrary.FaceLibraryListDTO;
import com.sz.admin.monitor.pojo.dto.facelibrary.FaceLibraryUpdateDTO;
import com.sz.admin.monitor.pojo.po.FaceInfo;
import com.sz.admin.monitor.pojo.po.FaceLibrary;
import com.sz.admin.monitor.pojo.vo.faceinfo.FaceInfoVO;
import com.sz.admin.monitor.pojo.vo.facelibrary.FaceLibraryVO;
import com.sz.core.common.entity.ImportExcelDTO;
import com.sz.core.common.entity.PageResult;
import com.sz.core.common.entity.SelectIdsDTO;
import jakarta.servlet.http.HttpServletResponse;

import java.util.List;

/**
 * ClassName: FaceLibraryService
 * Package: com.sz.admin.monitor.service
 * Description:
 */
public interface FaceLibraryService extends IService<FaceLibrary> {

    void create(FaceLibraryCreateDTO dto);

    void update(FaceLibraryUpdateDTO dto);

    PageResult<FaceLibraryVO> page(FaceLibraryListDTO dto);

    List<FaceLibraryVO> list(FaceLibraryListDTO dto);

    void remove(SelectIdsDTO dto);

    FaceLibraryVO detail(Object id);

    void importExcel(ImportExcelDTO dto);

    void exportExcel(FaceLibraryListDTO dto, HttpServletResponse response);
}
